New: Try Gatekeeper (Beta) for significantly lower latency. Learn More
New: Try Gatekeeper (Beta) for significantly lower latency. Learn More
Returns multiple compressed accounts with the given addresses or hashes.
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getMultipleCompressedAccounts",
"params": {
"addresses": null,
"hashes": [
"1111111QLbz7JHiBTspS962RLKV8GndWFwiEaqKM",
"1111111ogCyDbaRMvkdsHB3qfdyFYaG1WtRUAfdh"
]
}
}
'{
"context": {
"slot": 100
},
"value": {
"items": [
{
"hash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
"lamports": 100,
"leafIndex": 100,
"owner": "11111115RidqCHAoz6dzmXxGcfWLNzevYqNpaRAUo",
"seq": 100,
"slotCreated": 100,
"tree": "11111115RidqCHAoz6dzmXxGcfWLNzevYqNpaRAUo",
"address": "11111115RidqCHAoz6dzmXxGcfWLNzevYqNpaRAUo",
"data": {
"data": "SGVsbG8sIFdvcmxkIQ==",
"dataHash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
"discriminator": 100
}
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
The version of the JSON-RPC protocol.
2.0 An ID to identify the request.
The name of the method to invoke.
getMultipleCompressedAccounts Request parameters for batch retrieving multiple compressed Solana accounts data, supporting lookups by either addresses or cryptographic hashes
Show child attributes
{
"addresses": null,
"hashes": [
"1111111QLbz7JHiBTspS962RLKV8GndWFwiEaqKM",
"1111111ogCyDbaRMvkdsHB3qfdyFYaG1WtRUAfdh"
]
}Was this page helpful?
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getMultipleCompressedAccounts",
"params": {
"addresses": null,
"hashes": [
"1111111QLbz7JHiBTspS962RLKV8GndWFwiEaqKM",
"1111111ogCyDbaRMvkdsHB3qfdyFYaG1WtRUAfdh"
]
}
}
'{
"context": {
"slot": 100
},
"value": {
"items": [
{
"hash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
"lamports": 100,
"leafIndex": 100,
"owner": "11111115RidqCHAoz6dzmXxGcfWLNzevYqNpaRAUo",
"seq": 100,
"slotCreated": 100,
"tree": "11111115RidqCHAoz6dzmXxGcfWLNzevYqNpaRAUo",
"address": "11111115RidqCHAoz6dzmXxGcfWLNzevYqNpaRAUo",
"data": {
"data": "SGVsbG8sIFdvcmxkIQ==",
"dataHash": "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP",
"discriminator": 100
}
}
]
}
}